org.apache.olingo.client.api.domain

## Enum ClientLinkType

- java.lang.Object
- - java.lang.Enum<ClientLinkType>
  - - org.apache.olingo.client.api.domain.ClientLinkType

- All Implemented Interfaces:
    Serializable, Comparable<ClientLinkType>

      public enum ClientLinkType
      extends Enum<ClientLinkType>

  OData link types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ASSOCIATION` Association link.
    `ENTITY_BINDING` Entity binding link.
    `ENTITY_COLLECTION_BINDING` Entity collection binding link.
    `ENTITY_NAVIGATION` Entity navigation link.
    `ENTITY_SET_NAVIGATION` Entity set navigation link.
    `MEDIA_EDIT` Media-edit link.
    `MEDIA_READ` Media-read link

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ClientLinkType` | `fromString(String rel, String type)` Gets `LinkType` instance from the given rel and type.
    `String` | `toString()`
    `static ClientLinkType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ClientLinkType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ENTITY_NAVIGATION

          public static final ClientLinkType ENTITY_NAVIGATION

      Entity navigation link.

    - #### ENTITY_SET_NAVIGATION

          public static final ClientLinkType ENTITY_SET_NAVIGATION

      Entity set navigation link.

    - #### ASSOCIATION

          public static final ClientLinkType ASSOCIATION

      Association link.

    - #### MEDIA_EDIT

          public static final ClientLinkType MEDIA_EDIT

      Media-edit link.

    - #### MEDIA_READ

          public static final ClientLinkType MEDIA_READ

      Media-read link

    - #### ENTITY_BINDING

          public static final ClientLinkType ENTITY_BINDING

      Entity binding link.

    - #### ENTITY_COLLECTION_BINDING

          public static final ClientLinkType ENTITY_COLLECTION_BINDING

      Entity collection binding link.

  - ### Method Detail

    - #### values

          public static ClientLinkType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ClientLinkType c : ClientLinkType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ClientLinkType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### fromString

          public static ClientLinkType fromString(String rel,
                                                  String type)

      Gets `LinkType` instance from the given rel and type.
      Parameters:
        `rel` - rel.
        `type` - type.
      Returns:
        `ODataLinkType` object.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<ClientLinkType>`

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.